////////////////////////////////////
//															  //
//  Executive Class, Definition		//
//															  //
//		Chungho Chau							  //
//															  //
////////////////////////////////////

#ifndef EXECUTIVE_CLASS 
#define EXECUTIVE_CLASS

#include "Employee.h"
#include "StockHolder.h"
#include "CommonBase.h"


class Executive: public StockHolder, public Employee {
	public:
				Executive(const char *name, const char *address, double salary, int share)
					: Employee(salary), StockHolder(share), CommonBase(name,address) {}

				~Executive() {}

				void Display(BOOL needCRLF = FALSE);

	private:
				
				Executive(const Executive &other);
				Executive &operator= (const Executive &other);
				BOOL operator== (const Executive &other) const;

	

};




#endif